CKEDITOR.plugins.add( 'insertsound', {
	icons: 'insertsound',
	init: function( editor ) {
		editor.addCommand( 'insertsound', new CKEDITOR.dialogCommand( 'insertsoundDialog', {
			allowedContent: {
				audio: {
					attributes: 'controls'
				},
				source: {
					attributes: '!src'
				}
			},
			requiredContent: 'audio'
		}));
		editor.ui.addButton( 'insertsound', {
			label: 'Insert audio',
			command: 'insertsound',
			toolbar: 'insert'
		});
		CKEDITOR.dialog.add( 'insertsoundDialog', this.path + 'dialogs/insertsound.js' );
	}
});

